curl --request GET \
--url 'https://api.example.com/api/widget/settings'
{
"settings": {
"companyName": "Acme Outdoors",
"messageEndpoint": "string",
"theme": {
"primary": "string",
"secondary": "string",
"text": "Two-person tent, green — replacement for damaged pole set.",
"accent": "string",
"hover": "string"
}
},
"updated_at": "2026-08-31T14:22:05Z"
}
Published config for the loader
Served by the widget admin server. Returns { settings: <published config> } for siteId; 204 when the site has no published config.
GET
/
api
/
widget
/
settings
curl --request GET \
--url 'https://api.example.com/api/widget/settings'
{
"settings": {
"companyName": "Acme Outdoors",
"messageEndpoint": "string",
"theme": {
"primary": "string",
"secondary": "string",
"text": "Two-person tent, green — replacement for damaged pole set.",
"accent": "string",
"hover": "string"
}
},
"updated_at": "2026-08-31T14:22:05Z"
}
Served by the widget admin server. Returns
{ settings: <published config> } for siteId; 204 when the site has no published config.
Query parameters
string
Site id
Response
Settings
string (date-time)
Status codes
| Code | Meaning |
|---|---|
200 | OK |
curl --request GET \
--url 'https://api.example.com/api/widget/settings'
{
"settings": {
"companyName": "Acme Outdoors",
"messageEndpoint": "string",
"theme": {
"primary": "string",
"secondary": "string",
"text": "Two-person tent, green — replacement for damaged pole set.",
"accent": "string",
"hover": "string"
}
},
"updated_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026